Windows 2008 IIS同时配置多版本的php
Windows 2008 IIS同时配置多版本的php
星痕2015 发表于2年前
Windows 2008 IIS同时配置多版本的php
  • 发表于 2年前
  • 阅读 59
  • 收藏 1
  • 点赞 0
  • 评论 0

腾讯云 技术升级10大核心产品年终让利>>>   

Windows可以通过IIS下安装PHP Manager工具让IIS可以同时支持多版本的php,具体步骤如下:

1.下载PHP Manager软件(可以在http://phpmanager.codeplex.com/releases/view/69115下载),下载后在服务器内双击安装文件进行安装,安装后打开IIS在站点右侧就会多出一个PHP Manager管理选项。

QQ???20150924190112.jpg

2.在系统盘C盘内创建个php文件夹,将不同版本的php文件都转移到此文件夹下,本教程使用的php5.2和php5.3版本的php。

QQ???20150924190945.jpg

3.进入IIS管理界面,双击PHP Manager,选择Register New PHP Version,在弹出的选择框中选择5.2版本目录下的php-cgi.exe文件,确认后,再此点击Register New PHP Version,选择5.3版本目录下的php-cgi.exe文件,同样确认后,多版本的环境就搭建好了。

QQ???20150924191150.jpg

QQ???20150924191201.jpg

QQ???20150924191216.jpg

4.需要用到哪个PHP版本时,就点击change PHP version选择需要的版本即可。可以点旁边的check phpinfo()来查看相应PHP版本和设置信息。

QQ???20150924191338.jpg


  • 点赞
  • 收藏
  • 分享
粉丝 10
博文 55
码字总数 11233